#ifndef COMMUNICATIONSETTINGDLG_H
#define COMMUNICATIONSETTINGDLG_H

#include <QDialog>
#include <QSettings>
#include <QUdpSocket>

#include "global.h"

namespace Ui {
class CommunicationSettingDlg;
}

class CommunicationSettingDlg : public QDialog {
    Q_OBJECT

public:
    explicit CommunicationSettingDlg(QWidget *parent = nullptr);
    ~CommunicationSettingDlg();

protected:
    void showEvent(QShowEvent *event);

signals:
    void sendErrorMessage(QString message, int type);
private slots:

    void on_saveSettingBtn_clicked();

private:
    void initCombobox();

    void initNetworkSetting();

    void setSaveSettingParms();

private:
    Ui::CommunicationSettingDlg *ui;
};

#endif  // COMMUNICATIONSETTINGDLG_H
